# KivyMD Helper Scripts 🛠️

This repository contains a set of helper scripts designed to streamline the development of KivyMD applications. These scripts assist in creating template applications, structuring files, and setting up a development environment conducive for KivyMD.

## Table of Contents 📑

- [Features](#features) 🌟
- [Prerequisites](#prerequisites) 🔍
- [Installation](#installation) ⚙️
- [Usage](#usage) 🚀
- [Script Descriptions](#script-descriptions) 📝
- [Contributing](#contributing) 👥
- [License](#license) 📜

## Features 🌟

1. **Template Creation**: Generate basic templates for KivyMD applications, allowing you to kickstart your project.
2. **File Structuring**: Organize your files in a recommended structure, ensuring maintainability and clarity.
3. **KivyMD Setup**: Quick setup scripts for KivyMD dependencies and configurations.

## Prerequisites 🔍

Before using these scripts, ensure you have the following installed:

- Python (>= 3.7) 🐍
- pip 📦
- Kivy 🎨
- KivyMD 📱

## Installation ⚙️

1. Clone this repository:
   ```bash
   git clone https://github.com/yourusername/kivymd-helper-scripts.git
   ```
2. Navigate to the repository directory:
    ```bash
    cd kivymd-helper-scripts
    ```
3. (Optional) Create a virtual environment to keep dependencies managed:
    ```bash
    python -m venv venv
    source venv/bin/activate
    ```
    On Windows, use `venv\Scripts\activate`
4. Install the required dependencies:

    ```bash
    pip install -r requirements.txt
    ```

## Usage 🚀
To use a script, run it with Python:

## Script Descriptions 📝

1. **create_template.py**: Generates a basic KivyMD application template. Use the `--name` option to specify the app's name.
2. **structure_files.py**: Organizes your project files. Ensure you're in the project's root directory before executing.
3. **setup_kivymd.py**: Sets up necessary dependencies and configurations for KivyMD. 

## Contributing 👥

If you find any bugs, have suggestions or want to improve these scripts, feel free to create an issue or pull request.

## License 📜

This project is licensed under the MIT License. See the [LICENSE](LICENSE) file for details.

